Bug 1748666 (CVE-2019-11749) - CVE-2019-11749 Mozilla: Camera information available without prompting using getUserMedia
Summary: CVE-2019-11749 Mozilla: Camera information available without prompting using ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11749
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1745831 1745832 1748670
Blocks: 1745825
TreeView+ depends on / blocked
 
Reported: 2019-09-04 00:48 UTC by Doran Moppert
Modified: 2019-09-06 00:51 UTC (History)
3 users (show)

Fixed In Version: firefox 68.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-05 01:07:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2663 None None None 2019-09-04 20:12:23 UTC

Description Doran Moppert 2019-09-04 00:48:46 UTC
A vulnerability exists in WebRTC where malicious web content can use probing techniques on the `getUserMedia` API using constraints to reveal device properties of cameras on the system without triggering a user prompt or notification. This allows for the potential fingerprinting of users.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-26/#CVE-2019-11749

Comment 1 Doran Moppert 2019-09-04 00:48:48 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Andreas Pehrson

Comment 3 errata-xmlrpc 2019-09-04 20:12:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2663 https://access.redhat.com/errata/RHSA-2019:2663

Comment 4 Product Security DevOps Team 2019-09-05 01:07:42 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11749


Note You need to log in before you can comment on or make changes to this bug.